Page MenuHomeFreeBSD

graphics/mesa-dri: fix build on powerpc64 elfv2
ClosedPublic

Authored by pkubaj on Nov 7 2019, 12:45 PM.

Details

Summary

Base LLVM9 fails to build this port with clang crash (reported on https://bugs.llvm.org/show_bug.cgi?id=43862). The port builds when using LLVM8. Since we depend on LLVM8 anyway, use it also for compilation on elfv2.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pkubaj created this revision.Nov 7 2019, 12:45 PM
mikael added a subscriber: mikael.Nov 8 2019, 3:35 PM
mikael added inline comments.
graphics/mesa-dri/Makefile.common
91 ↗(On Diff #64036)

Why do you need to specify the abi? it should be the default on elfv2.

pkubaj added inline comments.Nov 8 2019, 4:05 PM
graphics/mesa-dri/Makefile.common
91 ↗(On Diff #64036)

It's not default for LLVM8 from ports.

This builds on ppcports.

OTOH do you think I should try a build of all depenent ports before we proceed? I am not sure.

pkubaj added a comment.Nov 9 2019, 1:04 PM

This shouldn't be needed. Mesa built with base LLVM8 before.

tcberner accepted this revision.Nov 9 2019, 6:38 PM

Looks good to me. But please don't commit until you get approval by @zeising .

This revision is now accepted and ready to land.Nov 9 2019, 6:38 PM
zeising accepted this revision.Nov 29 2019, 4:07 PM
This revision was automatically updated to reflect the committed changes.